##########################################
# New Software Version: 20.2.8           #
##########################################
New Features/Changes/Fixes: since 20.2.6
2026-05-18

1) General:
-----------
- OpenSSL LTS Version 3.5.4
- Contains  fixes and improvements
- Backend improvements for enhanced stability, device compatibility, and protocol handling.
 
 2) Fixes/Improvements:
----------------------
- [Improved] HID/MSD detection is now visually indicated in the Control Center. The corresponding checkboxes are highlighted with a border if a connected USB device is detected as a Human Interface Device (HID) or Mass Storage Device (MSD).
- [Fixed] HID/MSD blocking settings now take effect immediately after saving and no longer require a restart of the UTN server.
- [Fixed] USB port information is now included for all recipients of USB device status change notifications. Previously, only the first email recipient received the detailed USB port information.
- [Improved] The Control Center security warning has been updated for devices upgraded from an earlier software version. If existing passwords do not meet the current password requirements, the warning now clearly indicates that the passwords must be updated. This helps clarify cases where passwords are already set but no longer comply with the current security policy.
- [Fixed] The Control Center now displays an error message when saving a USB Manager password that does not meet the current password requirements. Previously, the change was reported as successful although the password was not accepted and the parameter remained unchanged.
- [Fixed] [dongleserver ProMAX/INU-100] Access protection for sensitive files stored on the SD card has been improved. Previously, after removing and reinserting the SD card, certain sensitive files could become accessible via the internal file browser to an authenticated administrator. These files are now protected as intended.
- [Fixed] [INU-50] Resolved an issue where devices could only be activated once. A second activation could cause the device to repeatedly switch between activated and deactivated states.

3) New Devices:
---------------
-  Feitian Technologies, Inc. Dongles with Feitian ePass OTP Tool
(https://www.ftsafe.com/Products)


##########################################
# New Software Version: 20.2.6           #
##########################################
New Features/Changes/Fixes: since 20.1.35

1) General:
-----------
- OpenSSL LTS Version 3.5.4
- Contains  fixes and improvements
- New online help version 1.7 (10 languages)
- New security concept implemented; minor version incremented (20.1.x → 20.2.x).
	• New mandatory password requirements for Control Center access starting with SW version 20.1.x:
		- Length: 8 – 64 characters
		- At least one digit (0-9)
		- At least one lowercase letter (a-z)
		- At least one uppercase letter (A-Z)
		- At least one special character (e.g. ! @ # $ %)
		- 7-bit ASCII only
		- no spaces
	• After several incorrect password entries, the system delays the next login for security reasons. The delay is gradual: 20s, 40s, 60s, 120s and afterwards 500s.
	• From version 20.2.6, Control Center requires a password. If none is set, a security warning will appear.
	• If the Control Center is unprotected (e.g., after first startup), a notification prompts you to set a password and enable access restrictions to require future logins.
	• Non-compliant passwords can only be set by using Set-Default (blank passwords) or by deleting them in the Control Center.
	• Weak passwords are retained during the update from 20.1.x to 20.2.x to ensure a safe upgrade path. 
	• Passwords can still be backed up and restored if they meet the current password requirements.
	• When importing parameters via the Control Center, a warning will appear if any passwords are non-compliant. You can either proceed with importing the remaining parameters without the passwords or cancel the operation.
	• TLS at least 1.2 or higher
	• In addition to Control Center access via HTTP/HTTPs and HTTPs only, there is now the option of HTTP redirection to HTTPS.
- Backend improvements for enhanced stability, device compatibility, and protocol handling.
 
 2) Fixes/Improvements:
----------------------
- New parameter options:
	• Notifications
		- Send parameters before a configuration change or FW/SW update.
		- Notification when certificate is about to expire or has expired.
	• USB Security
		- Enable/disable HID for all ports
		- Enable/disable MSD for all ports
		- Configurable central timeout for when a device is automatically ejected
		- Device assignment possible not only by PID/VID but also individually (“allocate vendor” or “allocate device”) 
		- The USB port security function “timeout” can now also be combined with “Port key control” and “Device assignment.”
- CPU temperature data in monitoring optimized.
- Forward and backward buttons for the next or previous “USB Port Setting” page implemented.
- [Fixed] The acoustic signal generator was misidentified as USB port 29 in the monitoring system.
- [Fixed] Various Smarcard dongles were sporadically not identified correctly and then dealt with incorrectly (e.g., displayed as “occupied by <host name>”). 
- [Fixed] Server-side timeouts now deactivate all devices in a compound device, not just the first one.
- [Fixed] Resolved an issue where temporary Control Center language changes triggered unnecessary notifications. On-the-fly language changes no longer generate notifications. 
- [Fixed] Email delivery via SendGrid (Twilio) now works correctly.
- [Fixed] Resolved an issue where missing buffer allocation for email responses could trigger a reboot loop in the utnserver email function. 
- [Fixed] If the “Restrict Control Center access” parameter was set to restrict access to the Control Center, but no passwords were set for the user accounts, the logout option was missing in the Control Center. If access to the Control Center is restricted (with or without a password), users must always be able to see as whom they are logged in so that they can log out again.
- [Fixed] Calling non-existent subpages of the device server returned long HTTP messages.
- [Fixed] Configured USB port names are now also displayed in the monitoring logs.
- [Fixed] PKCS12 certificate (ECC wildcard certificate) could not be installed. The error was caused by using a pure RSA routine to read the certificates.

3) New Devices:
---------------
-  Xilinx Platform USB Download Cable JTAG Programmer (
https://www.waveshare.com/wiki/Platform_Cable_USB
https://eckstein-shop.de/XilinxPlatformUSBDownloadCableJTAGProgrammerfC3BCrCPLDFPGAC-ModXC2C64EN
).
- VN1600 - Network Interfaces: Vector VN5620, Vector VN1630A
(https://www.vector.com/us/en/products/products-a-z/hardware/network-interfaces/vn16xx/)
- HIDGLOBAL Omnikeys (HID OMNIKEY 5427CK)
(https://www.hidglobal.com/products/omnikey-5427ck)
- PT3G-VCI (USB) (VNCI PT3G Porsche Tester)
- Ruhe-/Belastungs-EKG custo cardio 300 (https://www.customed.de/praxis/ruhe-belastungs-ekg/custo-cardio-300)



##########################################
# New Software Version: 20.1.35          #
##########################################
New Features/Changes/Fixes: since 20.1.30

1) General:
-----------
- Contains  fixes and improvements
- Changes in the backend to increase stability, device compatibility
  and protocol handling
 
 2) Fixes/Improvements:
----------------------
- [Fixed] Sporadically, connected USB dongles, such as the Thales etoken-5300-usb, were no longer detected after some time.
- [Fixed] The automatically generated self-signed certificate now uses an RSA key length of 2048.
- [Fixed] The dongleserver ProMAX made several restarts every day. 
- [Fixed] SNMPv3 queries with PRTG Monitor did not always work.
- [Internal fixes] Internal adjustments with optimisations for manufacturing and production.
- [Internal improvement] The Self Signed Certificates (SSC) now also contain the information of the MAC address of the product in the serial number.



##########################################
# New Software Version: 20.1.30          #
##########################################
New Features/Changes/Fixes: since 20.1.22
1) General:
-----------
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility
  and protocol handling

2) Fixes/Improvements:
----------------------
- [Fixed] Bug fixes for the HASP HL dongle with FW 3.25.
- [Fixed] macOS Safari - Parameter changes are not always applied
- [Fixed] dongleserver ProMAX: SNMP traps for power connections were not sent immediately.
- [Improvement] The new default access to the Control Center is now HTTPs only and SNMPv1 by default is read-only.
- [Improvement XSS] In order to prevent potential cross-site scripting attacks, string parameters (which are not hidden passwords) may no longer be used with angle brackets or curly brackets from this version onwards.  This prevents executable or interpretable code from being stored in the system using parameter values in the Control Center. Note: The Control Center should always be protected by setting a secure password!
- [Improvement] Connection timers are now displayed in the Control Center dashboard
- [Improvement] In the Control Center of the products dongleserver Pro, dongleserver proMAX and utnserver ProMAX, connection timeouts can now be configured port-dependently. Maximum time-out time: 12 hours. 
- [Improvement] OIDs implemented for the server-side ejecting of activated USB devices.  Device servers can 
  now be deactivated remotely by the admin via SNMP. Is implemented in the SEH MIB from version 2.8. 
- [Improvement] For device servers without RTC with buffer capacitor and without an accessible time server (NTP), the system remembers a time stamp based on the last events (parameter changes, restart, update, ...) and therefore has a rough overview of the current date. This last timestamp (year) is then used when generating a self-signed certificate. Prerequisite: Initially, the time must be set once in the Control Center. 
- [Improvement] Extension of the TCP port access functionality: Accesses can now be defined as a whitelist or blacklist group: 
	Whitelist: When the White list function is enabled, only previously configured IP addresses and subnets 
	are allowed for communication with the system.
	Blacklist: 
	When the Black list function is enabled, previously configured IP addresses and subnets are excluded 
	from communication with the system.


3) New Devices:
---------------
- Support for Sony Xperia 10 IV XQ-CC54 Smartphone
- Support for Samsung A52/53/71 Smartphone
- Support for GoPro Hero Action Cameras (https://gopro.com/en/us/shop/cameras)
- Support for EC-14TR - Repeater (https://www.lee-tech.eu/produkt/easy-call-350/)
- Support for Siemens SIMATIC PG, USB Prommer 6ES7792-0AA00-0XA0 (https://support.industry.siemens.com/cs/pd/432515)


##########################################
# New Software Version: 20.1.22          #
##########################################
New Features/Changes/Fixes: since 20.1.16

1) General:
-----------
- Upgrade of OpenSSL 3.0.8
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility
  and protocol handling
- Slight optimizations of the functioning of the ControlCenter (opening of the submenus, ...)
 
             
2) Fixes/Improvements:
----------------------
- [Fixed] Importing a certificate created via certificate requests shows white page in ControlCenter instead of the certificate.
- [Fixed] E-Mail Notification: "get status" shows only the available USB ports and not the activated USB ports.
- [Fixed] utnserver ProMAX: Monitoring files contain binary zeros at the end of the line.
- [Fixed] utnserver ProMAX: Daily backup of notifications (email and WebDAV) was incorrect.
- [Fixed] Typo in the US support email address in the control center.
- [Fixed] Relay does not close when network is disconnected/connected.
- [Fixed] Third-party certificates are not deleted from the SD card and are reinstalled after the SD card is rebooted.
- [Improvement] Fragmentation of isochronous USB data built in. This, analogous to bulk fragmentation, increases the performance and the support of USB3.0 cameras. 
- [Improvement] WebDav authentication method (BASIC, DIGEST MD5 ,MD5-sess, SHA-256, SHA-512) is displayed in the server status in ControlCenter. 
- [Improvement] Only if at least one password of a user is set, the ControlCenter access control is active. 
- [Improvement] Improvement of access to a TAN via e.g. a status request: Only addressees defined in the ControlCenter (e-mail notification) receive a TAN in case of a request. 
- [Improvement] Depending on the authorization level (Admin, USB Manager, User) links in the ControlCenter are now switched to inactive and a prohibition sign is displayed when you move the mouse over them.
- [Improvement] POP3: ControlCenter displays a warning/notice that a standalone email account should be used, because after retrieval the emails are deleted on the POP3 server. 

3) New Devices:
---------------
- Support Avaya Kamera HC020
- H14 Klippel Dongle
- Samsung A52/53/71




##########################################
# New Software Version: 20.1.16          #
##########################################
New Features/Changes/Fixes: since 20.1.12
1) General:
-----------
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility
  and protocol handling
- New: Before a configuration change or firmware update, the parameters can now be 
  automatically saved via e-mail. 
  (Must be configured in Control Center under "Device-Notification"; 
  it is strongly recommended to use S/MIME encrypted emails)
              
2) Fixes/Improvements:
----------------------
- [Fixed] Bonjour name is not stored and not saved after reboot
- [Fixed] The dongle "FS USB Token" could not be activated in the UTN Manager. 
- [Imnprovement] PKCS12 certificates are now accepted without password if required
- [Improvement dongleserver ProMAX] Display panel message extended by the values E6 
  (Sensors indicate overtemperature of the ProMAX dongle server) and E7 (Defective fan). 

3) New Devices:
---------------
- Support for Apple iPad (iPadOS 15 and iPadOS 16)
- Support for Safenet UDA V3 dongle


##########################################
# New Software Version: 20.1.12          #
##########################################
New Features/Changes/Fixes: since 20.1.8

1) General:
-----------
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility
  and protocol handling
- New: the device assignment feature now also supports compound devices. When 
  allocating the USB device, the associated IDs are automatically entered.  
- New: There are two new parameters:
  • dailyrestart -> Here an hour can be specified at which the device makes a 
    restart. 
  • snmprestart -> The equivalent of dailyrestart, with the difference that only 
    the SNMP services are restarted.
  Value range is 0-24, where 24 means off (default) and 0-23 the hour where the 
  action begins. 
  The parameters must be specified via the parameter list. There is no  
  equivalent in the ControlCenter!
 
              
2) Fixes/Improvements:
----------------------
- [Fixed] When USB device mapping is enabled, illegal USB devices are not  	
  displayed as unauthorized devices in the ControlCenter. 
- [Fixed] dongleserver ProMAX: VLAN 21 did not work as a defined management 
  VLAN. 





##########################################
# New Software Version: 20.1.8          #
##########################################
New Features/Changes/Fixes: since 20.1.4
Important Upgrade Note:
#######################
Save your current settings with a parameter backup before you upgrade.
A backup is the only way to preserve all configuration settings in the event of a downgrade. 

1) General:
-----------

Major IPv6 Update from 20.0.x to 20.1.x
-->
The dongleserver Pro and dongleserver ProMAX can now work in pure IPv6 environments

- New: IPv6 support for the SEH UTN protocol
- New: IPv6 support for 802.1Q VLAN 
	* VLAN and the associated management VLAN are now also fully IPv6 compatible
- New: IPv6 support for TCP Port Access
- New: Uniform concept of IPv4 and IPv6 configuration and optimized VLAN concept
	* Unified IPv4 and IPv6 configuration(conceptual changes):
	* The term "gateway" is replaced with the term „router"
	* The term "Network mask" (IPv4 address) is replaced by "Prefix length"
	--> Same configuration  in CIDR notation for IPv4 and IPv6. 
- New: Additional administrator group "USB Manager"
	The USB manager can see the start page and kick out active users if 
	necessary. Furthermore he has access to the USB subpage and can administrate 
	and configure it. 
- New: Additional USB port description field: 
  In addition to the already possible renaming of the USB ports, each port can
  now also be given an extended description, which is displayed in the
  properties window of the SEH UTN Manager. This way, the end user can be
  informed about the use of identical USB devices (e.g. different licenses on
  identical USB tokens).
- Changed the US support number from +1-610-943-3226 to +1-610-933-2088
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility
  and protocol handling
 
              
2) Fixes/Improvements:
----------------------
- [New Feature] "Hide protected USB devices" Disables/enables the display of USB devices in the selection list of the UTN manager. Only applies to USB devices that are protected with "device assignment"
- [Fixed] When using Wibu CmDongle with the latest driver, the connection was disconnected. 
- [Fixed] The password plausibility check was missing for the USB Manager user account
- [Fixed] Security scanners were able to crash SEH USB Dongleserver and SEH USB Deviceserver. 
- Corrections in the USB port to VLAN mapping 


##########################################
# New Software Version: 20.1.4          #
##########################################
New Features/Changes/Fixes: since 20.0.24

Important Upgrade Note:
#######################
Save your current settings with a parameter backup before you upgrade.
A backup is the only way to preserve all configuration settings in the event of a downgrade. 

1) General:
-----------

Major IPv6 Update from 20.0.x to 20.1.x
--> The dongleserver Pro and dongleserver ProMAX can now work in pure IPv6 
    environments

- New: IPv6 support for the SEH UTN protocol
- New: IPv6 support for 802.1Q VLAN 
	* VLAN and the associated management VLAN are now also fully IPv6 compatible
- New: IPv6 support for TCP Port Access
- New: Uniform concept of IPv4 and IPv6 configuration and optimized VLAN concept
	* Unified IPv4 and IPv6 configuration(conceptual changes):
	* The term "gateway" is replaced with the term „router"
	* The term "Network mask" (IPv4 address) is replaced by "Prefix length"
	--> Same configuration  in CIDR notation for IPv4 and IPv6. 
- New: Additional administrator group "USB Manager"
	The USB manager can see the start page and kick out active users if 
	necessary. Furthermore he has access to the USB subpage and can administrate 
	and configure it. 
- New: Additional USB port description field: 
  In addition to the already possible renaming of the USB ports, each port can
  now also be given an extended description, which is displayed in the
  properties window of the SEH UTN Manager. This way, the end user can be
  informed about the use of identical USB devices (e.g. different licenses on
  identical USB tokens).
- Changed the US support number from +1-610-943-3226 to +1-610-933-2088
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility
  and protocol handling
 
              
2) Fixes/Improvements:
----------------------
- [Fixed] IJCAD dongle was not displayed in ControlCenter
- [Fixed] Wibu dongle not re-connectable
- [Fixed] When entering a password that is too short in the Control Center, a 
   message is displayed that the password is too long. 
- [Fixed] dongleserver ProMAX: Incorrect power supply notifications: When 
   notifications are enabled and changes are made to the power connections 
   (disconnect or connect), incorrect notifications (reversed power supply 
   designations) are sent.
- [Fixed] dongelsever ProMAX constantly accesses the SD card. SD card is now
   only accessed after a reboot and when specific parameters are changed.
- [Fixed] dongelsever ProMAX: If the signal tone is configured as an indication 
   for only one connected power supply, it also sounds when both power supplies 
   are connected. 





##########################################
# New Software Version: 20.0.24          #
##########################################
New Features/Changes/Fixes: since 20.0.22

1) General:
-----------
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility and protocol handling
            
2) Fixes/Improvements:
----------------------
- [Fixed] WibuCM dongle does not work reliably.
- [Fixed] TCP port access - exceptions with Mac addresses did not work.
- [Fixed] IJ CAD dongle (from Senselock "http://www.senselock.com/en/index.php") is not displayed in ControlCenter and SEH UTN Manager
- [Fixed] Sentinel Hardlock and WibuCM dongles cannot be reconnected
- Fixes and workarounds for the Neural Network Controller V3 (NNCv3 Dongle)



##########################################
# New Software Version: 20.0.22          #
##########################################
New Features/Changes/Fixes: since 20.0.21

1) General:
-----------
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility and protocol handling
- TCP port access: The exceptions (MAC addresses) now also recognize the Windows notation
- the currently negotiated network speed is now displayed in the Dashboard of the Control Center
- DNS configuration now has a separate entry in the Control Center. 
              
2) Fixes/Improvements:
----------------------
- [Fixed] Lock UTN access did not work.
- [Fixed] TCP port access - exceptions with Mac addresses did not work.
- [Fixed] The import button for the parameter file had no function.
- [Fixed] Steinberg eLicenser dongle did not work under macOS
- [Fixed] HTML Autorefresh did not work with IPv6 addresses (all auto refresh pages (e.g. after parameter change) had broken links).
- USB Port key control expiration time entry more clearly definable 
- Monitoring configuration page in Control Center revised. 


##########################################
# New Software Version: 20.0.21          #
##########################################
New Features/Changes/Fixes: since 20.0.19

1) General:
-----------
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility and protocol handling
              
2) Fixes/Improvements:
----------------------
- [FIXED] Validity for port keys was reset to default value after a restart
- [FIXED] The string ("Parameters are changed. Please wait.") on the response page during parameter file upload was not translated. 
- [FIXED] Datev SmartCards were not recognized correctly. 
- [FIXED] DNS changes were only effective after explicit restart
- Support for DHCP POP3 and SMTP tags (DHCP reconfig: dongelserver Pro and ProMAX now also query for SMTP and POP3 server values and accept them if they are not 0.0.0.0. )


##########################################
# New Software Version: 20.0.19          #
##########################################
New Features/Changes/Fixes: since 20.0.16
1) General:
-----------
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility and protocol handling
- For Syslog versions now also NetConsole available (kernel messages syslog)
- Hardware encryption is enabled again and the allowed cipher suites for hardware encryption have been adjusted
- OpenSSL 1.1.1g
              
2) Fixes/Improvements:
----------------------
- [FIXED]Apple has changed the requirements for trusted certificates so that the certificates no longer meet the macOS/iOS certificate requirements. Extension of our certificates and their representation with Serial, Subject and Authority Key IDs. 
- [FIXED]Sporadic restarts of the dongleserver
- [FIXED]The "Encryption icon" was not displayed on the Control Center start page ("attached devices")
- [FIXED]The CPU temperature was reported wrong in the log files ("system status")
- [FIXED]"Set Parameters" via e-mail did not work
- [FIXED]After activating a HID Device or more generally a device with USB interrupt channels the dongle server crashed. 

3) New Devices:
---------------
- HS-Security Enky LC Dongle 
	(see "https://www.hs-securityware.com/enky-lc/enky_lc.html")


##########################################
# New Software Version: 20.0.16          #
##########################################
New Features/Changes/Fixes: since 20.0.12

1) General:
-----------
- Contains important fixes and improvements
- Important changes in the backend to increase stability, device compatibility and protocol handling
- Support for TLS 1.3              
              
2) Fixes/Improvements:
----------------------
- Support for quoted-printable encoded emails
- [New] Disable Input Devices (HID class) adjustable per port 
- [New] Support for STARTTLS in SMTP configuration
- [Fixed] not working SSL connection to a WebDAV server 
- [FIXED] Email notifications are truncated
- [Fixed]Some commands for configuration via email did not work
- [Fixed] dongleserver ProMAX did not accept the acoustic signal settings for the SDcard.
- [Fixed]dongelserver ProMAX did not accept the port key on port 20
- [Fixed] Some feedback messages of the ControlCenter popped up in a wrong language
- Improved uptime display. Uptime is counted in 64bit. Result was calculated down to 32bit for display in an email notification. Fixed with this version. 
- Improvements for the iLok dongle
- Improvements to the SLP implementation to optimize retrieval in the SEH UTN Manager and SEH UTN Manager
- optimized VLAN selection (display of the VLAN ID and it's acitivity status) in the USB configuration page of the ControlCenter 
- Japanese support information added to "Product & Company"

3) New Devices:
---------------
- Spyrus PocketVault P-3X™ ("https://www.spyrus.com/wp-content/downloads/400-470001-04DSPocketVaultP-3X_COURIER.pdf"
"https://www.spyrus.com/tokens/#encrypted-usb")



##########################################
# Initial Release: 20.0.12               #
##########################################
New Software Version:   			20.0.12
New Features/Changes/Fixes: initial release

1) General:
-----------
              
2) Fixes/Improvements:
----------------------

3) New Devices: